<!-- ...................................................................... -->
<!-- WebGeek Recipe Module    ............................................. -->
<!-- file: recipe-1.mod
    PUBLIC "-//WEBGEEK//ELEMENTS XHTML-WebGeek Recipe 1.0//EN"
       SYSTEM "http://www.webgeek.com/DTDs/recipe-1.mod"
    xmlns:recipe="http://www.webgeek.com/xmlns/recipe"
     ...................................................................... -->

<!-- WebGeek Recipe Module

        recipe:recipe
        recipe:ingredients
        recipe:ingredient
        recipe:prep

        This module defines structural components of a cooking recipe. 
-->
<![ %Recipe.prefixed;[
<!ENTITY % Recipe.xmlns.attrib
    "NS.prefixed.attrib;"
>
]]>
<!ENTITY % Recipe.xmlns.attrib
    "NS.prefixed.attrib;
    xmlns %URI.datatype;    #FIXED    '%Recipe.xmlns;'"
>
<!ELEMENT %Recipe.recipe.qname;
    (%Recipe.ingredients.qname;, %Recipe.prep.qname;) >
<!ATTLIST %Recipe.recipe.qname;
    %Common;
    title    CDATA    #REQUIRED
    category CDATA    #IMPLIED
    %Recipe.ns.attrib;
>

<!ELEMENT %Recipe.ingredients.qname;
    (%Recipe.ingredient.qname;)+ >
<!ATTLIST %Recipe.ingredients.qname;
    %Common;
    %Recipe.ns.attrib;
>

<!ELEMENT %Recipe.ingredient.qname; EMPTY >
<!ATTLIST %Recipe.ingredient.qname;
    %Common;
    quantity    CDATA    #REQUIRED
    unit        CDATA    #REQUIRED
    item        CDATA    #REQUIRED
    %Recipe.ns.attrib;
>

<!ELEMENT %Recipe.prep.qname;
    (PCDATA| %Flow;)+ >
<!ATTLIST %Recipe.prep.qname;
    %Common;
    %Recipe.ns.attrib;
>
<!-- end of recipe-1.mod -->
